Tie::RefHash(3)

NAME
Tie::RefHash - use references as hash keys

SYNOPSIS

    require 5.004;
    use Tie::RefHash;
    tie HASHVARIABLE, 'Tie::RefHash', LIST;
    untie HASHVARIABLE;

DESCRIPTION
This module provides the ability to use references as hash keys if you first tie the hash variable to this module.

It is implemented using the standard perl TIEHASH interface. Please see the tie entry in perlfunc(1) and perltie(1) for more information.

EXAMPLE

    use Tie::RefHash;
    tie %h, 'Tie::RefHash';
    $a = [];
    $b = {};
    $c = \*main;
    $d = \"gunk";
    $e = sub { 'foo' };
    %h = ($a => 1, $b => 2, $c => 3, $d => 4, $e => 5);
    $a->[0] = 'foo';
    $b->{foo} = 'bar';
    for (keys %h) {
       print ref($_), "\n";
    }

AUTHOR
Gurusamy Sarathy gsar@umich.edu

VERSION
Version 1.2 15 Dec 1996

SEE ALSO
perl(1), perlfunc(1), perltie(1)